BasicCreator (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.basic.BasicCreator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Class BasicCreator

    java.lang.Object
      com.meyling.principia.logic.basic.BasicCreator

public final class BasicCreator
extends Object

This class provides static methods for reading and writing an `Argument`.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Field Summary
`static String` | `BASIC_FORMULA_PATTERN_VARIABLE` string for a `FormulaPatternVariable`
`static String` | `BASIC_SUBJECT_VARIABLE_PATTERN_VARIABLE` string for a `SubjectVariablePatternVariable`
`static String` | `CONJUNCTION` string for a `Conjunction`
`static String` | `DISJUNCTION` string for a `Disjunction`
`static String` | `EQUIVALENCE` string for an `Equivalence`
`static String` | `EXISTENTIAL_QUANTIFIER` string for a `ExistentialQuantifier`
`static String` | `IMPLICATION` string for an `Implication`
`static String` | `NEGATION` string for a `Negation`
`static String` | `PREDICATE_VARIABLE` string for a `PredicateVariable`
`static String` | `PROPOSITION_VARIABLE` string for a `PropositionVariable`
`static String` | `REGULAR_ARGUMENT_LIST` string for a `RegularArgumentList`
`static String` | `SUBJECT_VARIABLE` string for a `SubjectVariable`
`static String` | `UNIVERSAL_QUANTIFIER` string for a `UniversalQuantifier`

Constructor Summary
`BasicCreator()`

Method Summary
`static Map` | `getMap()` Get the mapping of Strings to operator classes.
`static String` | `getName(Class clazz)` Get name of known operator class.
`static Argument` | `readArgument(TextInput input, ParsingTable parsing)` Create an `Argument` out of an `TextInput` object.
`static String` | `writeArgument(Argument argument)` Write an `Argument` to an `String`.
`static void` | `writeArgument(Output output, Argument argument)` Write an `Argument` to an `Output` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONJUNCTION

    public static final String CONJUNCTION

  string for a `Conjunction`

  See Also:
    Constant Field Values

### DISJUNCTION

    public static final String DISJUNCTION

  string for a `Disjunction`

  See Also:
    Constant Field Values

### NEGATION

    public static final String NEGATION

  string for a `Negation`

  See Also:
    Constant Field Values

### IMPLICATION

    public static final String IMPLICATION

  string for an `Implication`

  See Also:
    Constant Field Values

### EQUIVALENCE

    public static final String EQUIVALENCE

  string for an `Equivalence`

  See Also:
    Constant Field Values

### PREDICATE_VARIABLE

    public static final String PREDICATE_VARIABLE

  string for a `PredicateVariable`

  See Also:
    Constant Field Values

### PROPOSITION_VARIABLE

    public static final String PROPOSITION_VARIABLE

  string for a `PropositionVariable`

  See Also:
    Constant Field Values

### SUBJECT_VARIABLE

    public static final String SUBJECT_VARIABLE

  string for a `SubjectVariable`

  See Also:
    Constant Field Values

### EXISTENTIAL_QUANTIFIER

    public static final String EXISTENTIAL_QUANTIFIER

  string for a `ExistentialQuantifier`

  See Also:
    Constant Field Values

### UNIVERSAL_QUANTIFIER

    public static final String UNIVERSAL_QUANTIFIER

  string for a `UniversalQuantifier`

  See Also:
    Constant Field Values

### REGULAR_ARGUMENT_LIST

    public static final String REGULAR_ARGUMENT_LIST

  string for a `RegularArgumentList`

  See Also:
    Constant Field Values

### BASIC_FORMULA_PATTERN_VARIABLE

    public static final String BASIC_FORMULA_PATTERN_VARIABLE

  string for a `FormulaPatternVariable`

  See Also:
    Constant Field Values

### BASIC_SUBJECT_VARIABLE_PATTERN_VARIABLE

    public static final String BASIC_SUBJECT_VARIABLE_PATTERN_VARIABLE

  string for a `SubjectVariablePatternVariable`

  See Also:
    Constant Field Values

Constructor Detail

### BasicCreator

    public BasicCreator()

Method Detail

### getMap

    public static final Map getMap()

  Get the mapping of Strings to operator classes. The returned Map should not be modified.

  Returns:
    mapping of known Strings, do not change this Map

### getName

    public static final String getName(Class clazz)
                                throws IllegalArgumentException

  Get name of known operator class.

  Parameters:
    `clazz` - look for name of this class
  Returns:
    name of operator class
  Throws:
    `IllegalArgumentException` - if operator class `c` is unknown

### readArgument

    public static final Argument readArgument(TextInput input,
                                              ParsingTable parsing)
                                       throws ParsingException

  Create an `Argument` out of an `TextInput` object.

  Parameters:
    `input` - source to read from
    `parsing` - maps `Argument`s into `Position`s
  Returns:
    created argument
  Throws:
    `ParsingException` - if creation failed

### writeArgument

    public static final void writeArgument(Output output,
                                           Argument argument)
                                    throws IllegalArgumentException

  Write an `Argument` to an `Output` object.

  Parameters:
    `output` - destination to write to
    `argument` - this object will be written
  Throws:
    `IllegalArgumentException` - if writing failed

### writeArgument

    public static final String writeArgument(Argument argument)
                                      throws IllegalArgumentException

  Write an `Argument` to an `String`.

  Parameters:
    `argument` - this object will be written
  Returns:
    created string
  Throws:
    `IllegalArgumentException` - if writing failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.